Bug 182974 - ipod not mounted on IEEE port
ipod not mounted on IEEE port
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-24 15:33 EST by Ronny Bremer
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:57:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronny Bremer 2006-02-24 15:33:18 EST
Description of problem:
when attaching my ipod G4 onto the IEEE controller, it does not get mounted due
to I/O errors. I attached it and loaded SBP2 manually (known bug) and the
following log appears in messages:
Feb 24 21:12:51 fgrbhw01 kernel: scsi6 : SBP-2 IEEE-1394
Feb 24 21:12:52 fgrbhw01 kernel: ieee1394: sbp2: Logged into SBP-2 device
Feb 24 21:12:52 fgrbhw01 kernel:   Vendor: Apple     Model: iPod             
Rev: 1.62
Feb 24 21:12:52 fgrbhw01 kernel:   Type:   Direct-Access-RBC                 
ANSI SCSI revision: 00
Feb 24 21:12:59 fgrbhw01 kernel: sdg: Spinning up disk.........
Feb 24 21:13:14 fgrbhw01 kernel: ...............ready
Feb 24 21:13:14 fgrbhw01 kernel: SCSI device sdg: 117210240 512-byte hdwr
sectors (60012 MB)
Feb 24 21:13:14 fgrbhw01 kernel: sdg: Write Protect is off
Feb 24 21:13:14 fgrbhw01 kernel: SCSI device sdg: drive cache: write through
Feb 24 21:13:14 fgrbhw01 kernel: SCSI device sdg: 117210240 512-byte hdwr
sectors (60012 MB)
Feb 24 21:13:14 fgrbhw01 kernel: sdg: Write Protect is off
Feb 24 21:13:14 fgrbhw01 kernel: SCSI device sdg: drive cache: write through
Feb 24 21:13:14 fgrbhw01 kernel:  sdg: sdg1 sdg2
Feb 24 21:13:14 fgrbhw01 kernel: sd 6:0:0:0: Attached scsi removable disk sdg
Feb 24 21:13:14 fgrbhw01 kernel: sd 6:0:0:0: Attached scsi generic sg6 type 14
Feb 24 21:13:17 fgrbhw01 udevd-event[11191]: wait_for_sysfs: waiting for
'/sys/block/sdg/bus' failed
Feb 24 21:13:17 fgrbhw01 udevd-event[11192]: wait_for_sysfs: waiting for
'/sys/class/scsi_device/6:0:0:0/bus' failed
Feb 24 21:13:17 fgrbhw01 udevd-event[11193]: wait_for_sysfs: waiting for
'/sys/class/scsi_generic/sg6/bus' failed
Feb 24 21:13:21 fgrbhw01 udevd-event[11199]: wait_for_sysfs: waiting for
'/sys/block/sdg/sdg1/bus' failed
Feb 24 21:13:21 fgrbhw01 udevd-event[11200]: wait_for_sysfs: waiting for
'/sys/block/sdg/sdg2/bus' failed
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 117210239
Feb 24 21:13:21 fgrbhw01 kernel: printk: 1226 messages suppressed.
Feb 24 21:13:21 fgrbhw01 kernel: Buffer I/O error on device sdg2, logical block
117129914
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 117210239
Feb 24 21:13:21 fgrbhw01 kernel: Buffer I/O error on device sdg2, logical block
117129914
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 117210239
Feb 24 21:13:21 fgrbhw01 kernel: Buffer I/O error on device sdg2, logical block
117129914
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 117210239
Feb 24 21:13:21 fgrbhw01 kernel: Buffer I/O error on device sdg2, logical block
117129914
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 117210239
Feb 24 21:13:21 fgrbhw01 kernel: Buffer I/O error on device sdg2, logical block
117129914
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 117210239
Feb 24 21:13:21 fgrbhw01 kernel: Buffer I/O error on device sdg2, logical block
117129914
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80325
Feb 24 21:13:21 fgrbhw01 kernel: Buffer I/O error on device sdg2, logical block 0
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80326
Feb 24 21:13:21 fgrbhw01 kernel: Buffer I/O error on device sdg2, logical block 1
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80327
Feb 24 21:13:21 fgrbhw01 kernel: Buffer I/O error on device sdg2, logical block 2
Feb 24 21:13:21 fgrbhw01 kernel: Buffer I/O error on device sdg2, logical block 3
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80325
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80326
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80327
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80325
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80326
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80327
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80333
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80334
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80335
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80325
Feb 24 21:13:21 fgrbhw01 kernel: end_request: I/O error, dev sdg, sector 80325

Version-Release number of selected component (if applicable):
Kernel 2.6.15-1.1975_FC5smp

How reproducible:
always

Steps to Reproduce:
1. plug in iPod on IEEE port
2. modprobe sbp2
3. tail messages
  
Actual results:
ipod not mounted and log shows I/O errors

Expected results:
a few I/O errors seem to be normal with the iPod, but it got mounted in previous
releases of FC

Additional info:
Comment 1 Dave Jones 2006-10-16 20:19:59 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Dave Jones 2006-11-24 17:57:02 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.